$(function (){
  Array.prototype.indexOf = function (val) {
    for (var i = 0; i < this.length; i++) {
      if (this[i] == val) return i;
    }
    return -1;
  };
  Array.prototype.remove = function (val) {
    var index = this.indexOf(val);
    if (index > -1) {
      this.splice(index, 1);
    }
  };
  $.post('/Iad_CustomerTemplate/GetMediaList', function (res) {
      var res1 = JSON.parse(JSON.stringify(res))
      var ids = []
      var ids1 = []
      var type = $('#SourceRange').val()
      var type1 = $('#SourceRange').val()
      function render(list, ids){
          var data = ''
          for (var i = 0; i < list.length; i++) {
            data += '<li><input class="btn btn-default media-item" title="' + list[i].SourceName + '" type="button" value="' + list[i].SourceName + '" sourceid="' + list[i].SourceId + '"></li>'
          }
          $('#frame-sheild .media-list').html(data)
          for(var i = 0; i < ids.length; i++){
            $('#frame-sheild .media-item[sourceid='+ids[i]+']').addClass('selected')
          }
      }
      render(res, ids)
      $('#frame-sheild').on('click', '.media-item', function (){
          if ($(this).hasClass('selected')) {
            $(this).removeClass('selected')
            ids.remove($(this).attr('sourceid'))
          } else {
            $(this).addClass('selected')
            ids.push($(this).attr('sourceid'))
          }
      })
      $('#search-frame').on('keyup', function (){
          var keyword = $(this).val()
          var list = []
          for(var i = 0; i < res.length; i++){
            if (res[i].SourceName.indexOf(keyword) !== -1) {
              list.push(res[i])
            }
          }
          render(list, ids)
          var chkSourceid = ""
          if (type == 1) {  // 选择定投
            chkSourceid = $("#PutOnSourceId").val()
          }
          else if (type == 2) {  // 选择屏蔽
            chkSourceid = $("#ShieldSourceId").val()
          }
          //$("#sourceList .media-item").each(function (i, item) {
          //  if (chkSourceid.indexOf($(item).attr("sourceid")) >= 0) {
          //    $(item).addClass("selected")
          //  }
          //})
      })

      function initWin() {
          $('#frame-sheild .media-item').removeClass('selected')
          $('#frame-sheild').fadeOut()
          $('#search-frame').val('')
      }
      // 关闭/取消 操作
      $('.frame-header .closeFrame').on('click', function () {
          initWin()
          ids = JSON.parse(JSON.stringify(ids1))
          $('.media-tab-item').prop('checked', false)
          console.log($('.media-tab-item[data-type=' + type1 + ']').find('input[type=radio]'))
          $('.media-tab-item[data-type='+type1+']').find('input[type=radio]').prop('checked', true)
      })
      $('.frame-footer .cancel-btn').on('click', function () {
          initWin()
          ids = JSON.parse(JSON.stringify(ids1))
          $('.media-tab-item').prop('checked', false)
          $('.media-tab-item[data-type=' + type1 + ']').find('input[type=radio]').prop('checked', true)
      })
      $('.media-tab-item[data-type=0]').click(function () {
          $("#SourceRange").val("0")
          type = 0
          type1 = 0
      })
      //确定操作
      $('#frame-sheild .frame-footer').on('click', '.confirm-btn', function () {
          $("#SourceRange").val(type)
          type1 = type
          var len = ids.length
          var chkSourceId = ",";

          for (var i = 0; i < len; i++){
              chkSourceId += (ids[i] + ",");
          }
          if (type == 1) {
              $("#PutOnSourceId").val(chkSourceId)
          } else if (type == 2) {
              $("#ShieldSourceId").val(chkSourceId)
          }
          //保存投放类型
          $("input[name='media']").each(function (i, item) {
              if ($(item).is(':checked')) {
                  $(item).next().html(len)
              }
          })

          initWin()
          ids = []
          ids1 = []
      })

    // 选择投放类型
    $('#addAdPlan .media-tab-item.tab-item').click(function () {

        $('#addAdPlan .media-tab-item').removeClass('checked')
        $('#frame-sheild').fadeIn()
        //初始化媒体数据
        var chkSourceid = ""
        type = $(this).data('type')
        if (type == 1) {  // 定投
            chkSourceid = $("#PutOnSourceId").val()
        }
        else if (type == 2) {  // 屏蔽
            chkSourceid = $("#ShieldSourceId").val()
        }
        var arr = chkSourceid.split(',')
        arr.pop()
        arr.shift()
        ids = arr
        ids1 = arr
        render(res1, ids)
    })
  })
})